summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2017-06-15 14:50:50 +0000
committerGerrit Code Review <gerrit@fd.io>2017-06-15 14:50:50 +0000
commit29e8928eeee2321ef1887c1f1f49bce918daef57 (patch)
treeb08a72794333bb6c3bd978c4917bc09922a0f607 /jjb
parentdc41ccdc01cfc89f0e08151bcc489fbf53ce175e (diff)
parent125e8685f92e37f35f67937ea920f71af6530da4 (diff)
Merge " Patches for tldk ci-management on the bootstrap.sh not found bug.6"
Diffstat (limited to 'jjb')
-rw-r--r--jjb/tldk/include-raw-csit-tldk-functional-virl.sh12
-rw-r--r--jjb/tldk/tldk.yaml2
2 files changed, 12 insertions, 2 deletions
diff --git a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
index b18290cdc..1f57e8255 100644
--- a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
+++ b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
@@ -1,4 +1,16 @@
#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
+exit
+fi
+
+cd csit
# execute nsh_sfc bootstrap script if it exists
if [ -e bootstrap-TLDK.sh ]
diff --git a/jjb/tldk/tldk.yaml b/jjb/tldk/tldk.yaml
index a91183cb2..3f86e96a2 100644
--- a/jjb/tldk/tldk.yaml
+++ b/jjb/tldk/tldk.yaml
@@ -8,9 +8,7 @@
project: 'tldk'
os:
- - ubuntu1404
- ubuntu1604
- - centos7
stream:
- master:
branch: 'master'